Bug 143822 - Can't read files on mounted CD-ROM
Summary: Can't read files on mounted CD-ROM
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: udev   
(Show other bugs)
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-29 02:58 UTC by J.B. Nicholson-Owens
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-03 14:18:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description J.B. Nicholson-Owens 2004-12-29 02:58:00 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
When I insert a CD-ROM made on another Unix-like system (such as MacOS
X), it is mounted but the files are not readable unless I take special
measures to make sure the mode for the file is 644 or 755 for executables.

The files/folders are not owned by me even though I'm at the console
physically mounting the disk and I'm logged in.

Version-Release number of selected component (if applicable):
udev-039-10.FC3.6

How reproducible:
Always

Steps to Reproduce:
1. Insert a CD-ROM into my CD-ROM burner or DVD-ROM player.
2. Open a terminal window and note who I am, and get a long file
listing of what's on the disc I just mounted.
3. Note that I can't read the files and they're not owned by me.

Actual Results:
$ whoami
jbn
$ ls -l /media/cdrom
total 666539
-rw-r-----  1 501 nobody 374243884 Nov  1 07:53 b2v-2004-10-31.wav
-rw-r-----  1 501 nobody 308290604 Oct 30 11:18 nfn-2004-10-30 edited.wav

Expected Results:  I should have seen the files owned by me and with
at least read and/or exec permissions so I can read all files and
browse all directories on the volumes I just mounted.

Additional info:
none.

Comment 1 Harald Hoyer 2005-01-03 14:18:27 UTC
Udev does not have to do anything with mount or filesystems...

Comment 2 J.B. Nicholson-Owens 2005-01-04 00:45:30 UTC
Apparently I have misfiled the bug.  The bug remains -- media is
mounted in such a state that the user can't read it in an ordinary
way.  One needs root authorization to read the files.

Is there a document I can read to learn where this bug ought to be
filed or can you make a suggestion?

Thanks.

Comment 3 Harald Hoyer 2005-01-04 07:24:22 UTC
the files belong to user id 501 and group nobody. the disc is maybe
burned with the RockRidge extension or UDF, which extends a CD with
user permissions. You may mount the CD with special options (see the
mount manpage) or burn the CD without RockRidge or UDF.
Google is your friend also :)


Note You need to log in before you can comment on or make changes to this bug.